# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes

# vlMFC::MDIWindow Class Reference

The MDIWindow class is an MFC CView with the functionalities of a Win32Context (experimental). More...

`#include <MDIWindow.hpp>`

Inheritance diagram for vlMFC::MDIWindow:

List of all members.

## Public Member Functions

| MDIWindow ()
virtual | ~MDIWindow ()
HWND | hwnd () const
| Returns the Win32 window handle.
void | OnDraw (CDC *)
| Don't forget to reimplement this!
afx_msg void | OnPaint ()
afx_msg void | OnDestroy ()
afx_msg void | OnKeyDown (UINT nChar, UINT nRepCnt, UINT nFlags)
afx_msg void | OnKeyUp (UINT nChar, UINT nRepCnt, UINT nFlags)
afx_msg void | OnLButtonDblClk (UINT nFlags, CPoint point)
afx_msg void | OnLButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnLButtonUp (UINT nFlags, CPoint point)
afx_msg void | OnMButtonDblClk (UINT nFlags, CPoint point)
afx_msg void | OnMButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnMButtonUp (UINT nFlags, CPoint point)
afx_msg void | OnMouseMove (UINT nFlags, CPoint point)
afx_msg BOOL | OnMouseWheel (UINT nFlags, short zDelta, CPoint pt)
afx_msg void | OnRButtonDblClk (UINT nFlags, CPoint point)
afx_msg void | OnRButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnRButtonUp (UINT nFlags, CPoint point)
afx_msg void | OnSize (UINT nType, int cx, int cy)
afx_msg void | OnDropFiles (HDROP hDropInfo)

## Protected Member Functions

BOOL | PreCreateWindow (CREATESTRUCT &cs)
void | destroyGLContext ()
void | countAndCapture ()
void | countAndRelease ()

## Protected Attributes

int | mMouseDownCount

## Static Protected Attributes

static CString | mClassName

## Detailed Description

The MDIWindow class is an MFC CView with the functionalities of a Win32Context (experimental).

Remarks:
  Don't forget to reimplement the OnDraw() method.

Definition at line 48 of file MDIWindow.hpp.

## Constructor & Destructor Documentation

vlMFC::MDIWindow::MDIWindow | ( | ) | `[inline]`

Definition at line 51 of file MDIWindow.hpp.

References vl::Object::setAutomaticDelete().

MDIWindow::~MDIWindow | ( | ) | `[virtual]`

Definition at line 84 of file MDIWindow.cpp.

## Member Function Documentation

HWND vlMFC::MDIWindow::hwnd | ( | ) | const`[inline, virtual]`

Returns the Win32 window handle.

Implements vlWin32::Win32Context.

Definition at line 56 of file MDIWindow.hpp.

void vlMFC::MDIWindow::OnDraw | ( | CDC * | ) | `[inline]`

Don't forget to reimplement this!

Definition at line 59 of file MDIWindow.hpp.

void MDIWindow::OnPaint | ( | ) |

Definition at line 118 of file MDIWindow.cpp.

References NULL.

void MDIWindow::OnDestroy | ( | ) |

Definition at line 112 of file MDIWindow.cpp.

void MDIWindow::OnKeyDown | ( | UINT | nChar,
|  | UINT | nRepCnt,
|  | UINT | nFlags
| ) |  |

Definition at line 137 of file MDIWindow.cpp.

References vl::Key_None, and vlEGL::translateKeyEvent().

void MDIWindow::OnKeyUp | ( | UINT | nChar,
|  | UINT | nRepCnt,
|  | UINT | nFlags
| ) |  |

Definition at line 145 of file MDIWindow.cpp.

References vl::Key_None, and vlEGL::translateKeyEvent().

void MDIWindow::OnLButtonDblClk | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 170 of file MDIWindow.cpp.

References vl::LeftButton.

void MDIWindow::OnLButtonDown | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 176 of file MDIWindow.cpp.

References vl::LeftButton.

void MDIWindow::OnLButtonUp | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 182 of file MDIWindow.cpp.

References vl::LeftButton.

void MDIWindow::OnMButtonDblClk | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 188 of file MDIWindow.cpp.

References vl::MiddleButton.

void MDIWindow::OnMButtonDown | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 194 of file MDIWindow.cpp.

References vl::MiddleButton.

void MDIWindow::OnMButtonUp | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 200 of file MDIWindow.cpp.

References vl::MiddleButton.

void MDIWindow::OnMouseMove | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 206 of file MDIWindow.cpp.

BOOL MDIWindow::OnMouseWheel | ( | UINT | nFlags,
|  | short | zDelta,
|  | CPoint | pt
| ) |  |

Definition at line 211 of file MDIWindow.cpp.

void MDIWindow::OnRButtonDblClk | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 217 of file MDIWindow.cpp.

References vl::RightButton.

void MDIWindow::OnRButtonDown | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 223 of file MDIWindow.cpp.

References vl::RightButton.

void MDIWindow::OnRButtonUp | ( | UINT | nFlags,
|  | CPoint | point
| ) |  |

Definition at line 229 of file MDIWindow.cpp.

References vl::RightButton.

void MDIWindow::OnSize | ( | UINT | nType,
|  | int | cx,
|  | int | cy
| ) |  |

Definition at line 250 of file MDIWindow.cpp.

void MDIWindow::OnDropFiles | ( | HDROP | hDropInfo ) |

Definition at line 235 of file MDIWindow.cpp.

BOOL MDIWindow::PreCreateWindow | ( | CREATESTRUCT & | cs ) | `[protected]`

Definition at line 77 of file MDIWindow.cpp.

void MDIWindow::destroyGLContext | ( | ) | `[protected]`

Definition at line 89 of file MDIWindow.cpp.

References NULL.

void MDIWindow::countAndCapture | ( | ) | `[protected]`

Definition at line 153 of file MDIWindow.cpp.

void MDIWindow::countAndRelease | ( | ) | `[protected]`

Definition at line 160 of file MDIWindow.cpp.

## Member Data Documentation

int vlMFC::MDIWindow::mMouseDownCount`[protected]`

Definition at line 94 of file MDIWindow.hpp.

CString vlMFC::MDIWindow::mClassName`[static, protected]`

Definition at line 95 of file MDIWindow.hpp.

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlMFC/MDIWindow.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlMFC/MDIWindow.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:01.
Permission is granted to use this page to write and publish articles regarding Visualization Library.